#
# spec file for package compartm (Version 1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           compartm
Version:        1.1
Release:        317.2
License:        GPL
Group:          Productivity/Security
Autoreqprov:    on
Summary:        A Wrapper to Securely Run Insecure or Untrusted Programs
Source:         compartment-%version.tar.gz
Patch:          compartment-%version.diff
Patch1:         ia64.diff
Patch2:         compartment-%version-prctl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Compartment provides all possibilities (chroot, kernel capabilities)
for securely running insecure or untrusted programs. It provides all
necessary options to fine-tune the security tightening process as
needed.



Authors:
--------
    Marc Heuse <marc@suse.de>

%define kversion %(uname -r)
%debug_package
%prep
%setup -n compartment-%version
%patch -p1
%ifarch ia64
%patch1 -p1
%endif
%patch2 -p1 -b .prctl

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README LICENCE CHANGES TODO
%_mandir/man1/compartment.1*
/usr/sbin/compartment

%changelog -n compartm
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Apr 09 2005 - coolo@suse.de
- fix C
* Wed Jul 23 2003 - coolo@suse.de
- use BuildRoot
* Fri Jan 10 2003 - aj@suse.de
- Fix multi-line strings.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Aug 07 2002 - okir@suse.de
- updated to compartment 1.1
- added patch to use prctl(PR_KEEPCAPS) when using capabilities
  _and_ changing to a non-root user.
* Wed Oct 10 2001 - stepan@suse.de
- fixed to compile for ia64
* Thu Apr 05 2001 - uli@suse.de
- removed lx_suse from neededforbuild
* Fri Nov 17 2000 - ro@suse.de
- fixed to compile
* Fri Jun 30 2000 - mt@suse.de
- new version
